#
# spec file for package ast-grep
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ast-grep
Version:        0.18.1+0
Release:        1.2
Summary:        A CLI tool for code structural search, lint and rewriting
License:        MIT
URL:            https://ast-grep.github.io/
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  gcc-c++

%description
ast-grep(sg) is a CLI tool for code structural search, lint, and rewriting.

%prep
%autosetup -p1 -a1
install -D -m 644 %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
install -D -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{_builddir}/%{name}-%{version}/target/release/%{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}

%changelog
* Thu Feb  1 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.18.1:
  * Breaking change: refactor: use more concise name 6a4a17c
* Wed Jan 31 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.18.0:
  * Breaking change: refactor: remove IndentSensitive trait #868
  * feat: add support for rewriters #855
  * Breaking change: refactor: rename RuleWithConstraints to RuleCore #862
  * feat: move fix to SerializableRuleCore #859
  * Breaking change: refactor: remove MetaVarMatchers beb6f50
  * Breaking change: feat: move fixer to RuleCore 8a43a26
  * Breaking change: refactor: move language out of SerializableRuleCore c5e0dc8
  * Breaking change: refactor: remove Content generic from Fixer 87bbf93
  * Breaking change: feat: improve get_fixer signature e629e0f
  * Breaking change: refactor: make TemplateFix non-generic 0f462a5
  * feat: migrate constraints to Rule 230ee9c
  * refactor: move SerializableRuleCore to rule_core mod 3a303c1
* Sat Jan 13 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.17.1:
  * feat: respect user's language extension option #848
* Fri Jan 12 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.17.0:
  * Breaking change: feat: change get_fixer to return Fixer 07c5363
  * feat: add modify_range for tweaking fix range selection eeb2f98
  * feat: rename modify_range -> get_replace_range 54837df
* Sat Jan  6 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.16.1:
  * feat: add support for bash and php #639
  * Breaking change: fix: more strict meta var parsing 13ad32b
  * Breaking change: refactor: remove thrift language 26ecdf6
  * fix(deps): update dependency @swc/core to v1.3.102 9ca9711
* Sat Dec 30 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.16.0:
  * feat: add language globs to findInFiles in napi #780
  * Breaking change: fix: rename MetaVar for better naming #805
  * refactor: reorgnanize napi file structure 93f8577
  * refactor: move file type related function out of lib 64e33a3
  * feat: handle FileOption in LangOption::infer 7bc3efe
* Mon Dec 18 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.15.1:
  * feat: support mutliple rules in -r and --inline-rules #786
  * refactor: unify run_worker and run_std_in #785
  * Breaking change: feat: --stdin now always awaits user input #791
  * feat: support --inline-rules option for sg scan #396
  * refactor: separate PathWorker and StdInWorker and Worker ef3d8ad
  * test: add test cases for sg scan ed35c71
  * fix: revert github action a2f22d8
* Sat Dec 16 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.15.0:
  * Breaking change: feat: reduce metavar_env string allocation e1ab015
  * Breaking change: fix: remove pattern as replacer f6e4293
  * Breaking change: feat: better metavar detection e1ab18a
* Tue Dec 12 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.14.4:
  * fix: use tempfile to remove vuln #765
  * chore(deps): update dependency typescript to v5.3.3 dbac17d
  * chore(deps): update dependency @napi-rs/cli to v2.17.0 f2d32be
  * chore(deps): update dependency prettier to v3.1.1 990f09b
* Mon Dec 11 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.14.3:
  * feat: add getTransformed in napi #551
  * fix: load custom languages in new command #751
  * chore(deps): update dependency ava to v6 496eb9d
  * feat: add support for Elixir 57edde1
  * feat: rename fixer to TemplateFix 5b53ce0
* Sun Dec 10 2023 Michael Vetter <mvetter@suse.com>
- Initial package of ast-grep 0.14.2 for openSUSE
